# This is the default image startup configuration file
# This file defines environment variables used during the container **first
# start** in **startup files**.

# This file is deleted right after startup files are processed for the first
# time, after that all these values will not be available in the container
# environment. This helps to keep your container configuration secret. more
# information : https://github.com/osixia/docker-light-baseimage

# Required and used for new ldap server only
LDAP_ORGANISATION: foxtrot ldap
LDAP_DOMAIN: wikimedia.org
LDAP_BASE_DN: dc=wikimedia,dc=org
LDAP_ADMIN_PASSWORD: admin
LDAP_CONFIG_PASSWORD: config

LDAP_READONLY_USER: true
LDAP_READONLY_USER_USERNAME: proxyagent
LDAP_READONLY_USER_PASSWORD: readonly

LDAP_RFC2307BIS_SCHEMA: true

LDAP_TLS: false
LDAP_TLS_ENFORCE: false
LDAP_TLS_VERIFY_CLIENT: never
LDAP_SSL_HELPER_PREFIX: ldap

LDAP_REPLICATION: false

KEEP_EXISTING_CONFIG: false
LDAP_REMOVE_CONFIG_AFTER_SETUP: false
